Web lists-archives.com

Re: [Samba] Samba 4.8.2 setting ntlm auth to mschapv2-and-ntlmv2-only is returning error




On Tue, 3 Jul 2018 11:56:13 +0100
Matt Fippard via samba <samba@xxxxxxxxxxxxxxx> wrote:

> ​Hello,
> I compiled Samba 4.8.2 from the git repository to upgrade my existing
> samba install, however I'm not sure it has gone correctly and I am
> having a problem authorizing radius clients that previously succeeded
> using mschapv2
> 
> I set the option in smb.conf
> ntlm auth = mschapv2-and-ntlmv2-only
> but running testparm gives me an error
> set_variable_helper(mschapv2-and-ntlmv2-only): value is not boolean!
> And also removing the variable and running testparm -v shows the
> default value of ntlm auth = yes which I'm sure is wrong.
> This makes me think that although everything is reporting the correct
> version, something happened to make this only a partial upgrade.
> I'm not really too sure on how to proceed now, my users and machines
> are working happily with authentication, this is only affecting my
> radius server Any help in troubleshooting this further will be
> gratefully received.
> 
> Thanks,
> Matt​

How did you compile Samba ? 
Did you supply a prefix when running './configure' or did Samba end up
in /usr/local/samba (the default) ?
If so, have you set the PATH to take this into account ?

Rowland

-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba